Cart = {}

local sizeX, sizeY = CartSprite:getSize()
local size = { x = sizeX, y = sizeY * 0.75 }

function Cart.reset(o)
    o.position = {
        x = 20,
        y = 50,
    }
    o.velocity = {
        x = 50 + (150 * math.random()),
        y = 150 * (math.random() - 1),
    }
    o.size = size
    o.canBeBounced = {
        flat = { x = 0, y = 0 },
        mult = { x = 1, y = 1 },
    }
    o.mass = T.marker
    o.drawAsSprite = CartSprite
    return o
end

function Cart.new()
    return setmetatable(Cart.reset({}), { __index = Cart })
end
